package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class RichChatMessage extends C3553GuA {
    @c(LIZ = "content")
    public String LIZ;
    @c(LIZ = "color")
    public String LIZIZ;
    @c(LIZ = "traceid")
    public String LIZJ;
    @c(LIZ = "icon")
    public ImageModel LIZLLL;
    @c(LIZ = "action_content")
    public String LJ;
    @c(LIZ = "action_type")
    public String LJFF;
    @c(LIZ = "push_message_display_time")
    public long LJI;
    public ImageModel LJII;
    public transient ImageModel LJIIIIZZ;
    public transient CharSequence LJIIIZ;
    public transient int LJIILJJIL;

    static {
        Covode.recordClassIndex(19141);
    }

    public final boolean LIZIZ() {
        return true;
    }

    public RichChatMessage() {
        this.LJJIL = C4453HKs.ROOM_RICH_CHAT_MESSAGE;
    }

    public final boolean LIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }
}
